#include<bits/stdc++.h>
using namespace std;
#define int long long
const int INF = 2e9;
const long long INFLL = 9e18;

int32_t main(){
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    int n, m, k;
    cin >> n >> m >> k;
    cout << ((n + k - 1) / k) * ((m + k - 1) / k) << endl;


    return 0;
}